Fix missing error path in path selector up_read(&_ps_lock).
--- diff/drivers/md/dm-path-selector.c	2004-10-29 15:37:28.000000000 +0100
+++ source/drivers/md/dm-path-selector.c	2004-10-29 15:37:34.000000000 +0100
@@ -75,16 +75,21 @@
 {
 	struct ps_internal *psi;
 
+	if (!pst)
+		return;
+
 	down_read(&_ps_lock);
 	psi = __find_path_selector_type(pst->name);
 	if (!psi)
-		return;
+		goto out;
 
 	if (--psi->use == 0)
 		module_put(psi->pst.module);
 
 	if (psi->use < 0)
 		BUG();
+
+out:
 	up_read(&_ps_lock);
 }
 
